org.jbpm.process.audit.query

## Class AbstractAuditDeleteBuilderImpl<T>

- java.lang.Object
- - org.jbpm.query.jpa.builder.impl.AbstractQueryBuilderImpl<T>
  - - org.jbpm.query.jpa.builder.impl.AbstractDeleteBuilderImpl<T>
    - - org.jbpm.process.audit.query.AbstractAuditDeleteBuilderImpl<T>

- All Implemented Interfaces:
    org.kie.internal.query.ParametrizedQueryBuilder<T>, org.kie.internal.runtime.manager.audit.query.AuditDeleteBuilder<T>
  Direct Known Subclasses:
    AuditTaskDeleteBuilderImpl, ErrorInfoDeleteBuilderImpl, NodeInstanceLogDeleteBuilderImpl, ProcessInstanceLogDeleteBuilderImpl, RequestInfoDeleteBuilderImpl, TaskEventDeleteBuilderImpl, TaskVariableDeleteBuilderImpl, VarInstanceLogDeleteBuilderImpl

      public abstract class AbstractAuditDeleteBuilderImpl<T>
      extends org.jbpm.query.jpa.builder.impl.AbstractDeleteBuilderImpl<T>
      implements org.kie.internal.runtime.manager.audit.query.AuditDeleteBuilder<T>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.kie.api.runtime.CommandExecutor` | `executor`
    `protected JPAAuditLogService` | `jpaAuditService`
    `protected static String` | `ONLY_COMPLETED_PROCESS_INSTANCES`

    - ### Fields inherited from class org.jbpm.query.jpa.builder.impl.AbstractQueryBuilderImpl

      `queryWhere`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractAuditDeleteBuilderImpl(org.kie.api.runtime.CommandExecutor cmdExecutor)`
    `protected` | `AbstractAuditDeleteBuilderImpl(JPAAuditLogService jpaService)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.kie.internal.query.ParametrizedUpdate` | `build()`
    `protected <T> boolean` | `checkIfNull(T... parameter)`
    `T` | `date(Date... date)`
    `T` | `dateRangeEnd(Date rangeEnd)`
    `T` | `dateRangeStart(Date rangeStart)`
    `protected Date[]` | `ensureDateNotTimestamp(Date... date)`
    `protected JPAAuditLogService` | `getJpaAuditLogService()`
    `protected abstract String` | `getQueryBase()`
    `protected abstract Class` | `getQueryType()`
    `protected String` | `getSubQuery()`
    `T` | `processId(String... processId)`
    `T` | `processInstanceId(long... processInstanceId)`

    - ### Methods inherited from class org.jbpm.query.jpa.builder.impl.AbstractDeleteBuilderImpl

      `endGroup, newGroup`

    - ### Methods inherited from class org.jbpm.query.jpa.builder.impl.AbstractQueryBuilderImpl

      `addIntParameter, addLongParameter, addObjectParameter, addRangeParameter, addRangeParameters, and, clear, equals, getQueryWhere, intersect, like, maxResults, offset, or, regex, union`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.kie.internal.query.ParametrizedQueryBuilder

      `and, clear, equals, intersect, like, maxResults, offset, or, regex, union`

- - ### Field Detail

    - #### ONLY_COMPLETED_PROCESS_INSTANCES

          protected static String ONLY_COMPLETED_PROCESS_INSTANCES

    - #### executor

          protected final org.kie.api.runtime.CommandExecutor executor

    - #### jpaAuditService

          protected final JPAAuditLogService jpaAuditService

  - ### Constructor Detail

    - #### AbstractAuditDeleteBuilderImpl

          protected AbstractAuditDeleteBuilderImpl(JPAAuditLogService jpaService)

    - #### AbstractAuditDeleteBuilderImpl

          protected AbstractAuditDeleteBuilderImpl(org.kie.api.runtime.CommandExecutor cmdExecutor)

  - ### Method Detail

    - #### getJpaAuditLogService

          protected JPAAuditLogService getJpaAuditLogService()

    - #### date

          public T date(Date... date)

    - #### dateRangeStart

          public T dateRangeStart(Date rangeStart)

    - #### dateRangeEnd

          public T dateRangeEnd(Date rangeEnd)

    - #### processInstanceId

          public T processInstanceId(long... processInstanceId)

      Specified by:
        `processInstanceId` in interface `org.kie.internal.runtime.manager.audit.query.AuditDeleteBuilder<T>`

    - #### processId

          public T processId(String... processId)

      Specified by:
        `processId` in interface `org.kie.internal.runtime.manager.audit.query.AuditDeleteBuilder<T>`

    - #### checkIfNull

          protected <T> boolean checkIfNull(T... parameter)

    - #### ensureDateNotTimestamp

          protected Date[] ensureDateNotTimestamp(Date... date)

    - #### getQueryType

          protected abstract Class getQueryType()

    - #### getQueryBase

          protected abstract String getQueryBase()

    - #### getSubQuery

          protected String getSubQuery()

    - #### build

          public org.kie.internal.query.ParametrizedUpdate build()

      Specified by:
        `build` in interface `org.kie.internal.runtime.manager.audit.query.AuditDeleteBuilder<T>`

Copyright © 2001–2019 JBoss by Red Hat. All rights reserved.